## com.puppycrawl.tools.checkstyle.checks.coding
Class DeclarationOrderCheck

    java.lang.Object
      com.puppycrawl.tools.checkstyle.api.AutomaticBean
          com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
              com.puppycrawl.tools.checkstyle.api.Check
                  com.puppycrawl.tools.checkstyle.checks.coding.DeclarationOrderCheck

All Implemented Interfaces:
  Configurable, Contextualizable

    public class DeclarationOrderCheck

extends Check

Checks that the parts of a class or interface declaration appear in the order suggested by the Code Conventions for the Java Programming Language.

1. Class (static) variables. First the public class variables, then the protected, then package level (no access modifier), and then the private.
2. Instance variables. First the public class variables, then the protected, then package level (no access modifier), and then the private.
3. Constructors
4. Methods

An example of how to configure the check is:

     <module name="DeclarationOrder"/>

Author:
  r_auckenthaler

Constructor Summary
`DeclarationOrderCheck()`

Method Summary
`int[]` `getDefaultTokens()` Returns the default token a check is interested in.
`void` `leaveToken(DetailAST aAST)` Called after all the child nodes have been process.
`void` `setIgnoreConstructors(boolean aIgnoreConstructors)` Sets whether to ignore constructors.
`void` `setIgnoreMethods(boolean aIgnoreMethods)` Sets whether to ignore methods.
`void` `setIgnoreModifiers(boolean aIgnoreModifiers)` Sets whether to ignore modifiers.
`void` `visitToken(DetailAST aAST)` Called to process a token.

Methods inherited from class com.puppycrawl.tools.checkstyle.api.Check
`beginTree, destroy, finishTree, getAcceptableTokens, getClassLoader, getFileContents, getLines, getRequiredTokens, getTabWidth, getTokenNames, init, log, log, setClassLoader, setFileContents, setMessages, setTabWidth, setTokens`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
`getCustomMessages, getId, getMessageBundle, getSeverity, getSeverityLevel, log, setId, setSeverity`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AutomaticBean
`configure, contextualize, finishLocalSetup, getConfiguration, setupChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeclarationOrderCheck

    public DeclarationOrderCheck()

Method Detail

### getDefaultTokens

    public int[] getDefaultTokens()

  Description copied from class: `Check`
  Returns the default token a check is interested in. Only used if the configuration for a check does not define the tokens.

  Specified by:
    `getDefaultTokens` in class `Check`
  Returns:
    the default tokens
  See Also:
    `TokenTypes`

### visitToken

    public void visitToken(DetailAST aAST)

  Description copied from class: `Check`
  Called to process a token.

  Overrides:
    `visitToken` in class `Check`
  Parameters:
    `aAST` - the token to process

### leaveToken

    public void leaveToken(DetailAST aAST)

  Description copied from class: `Check`
  Called after all the child nodes have been process.

  Overrides:
    `leaveToken` in class `Check`
  Parameters:
    `aAST` - the token leaving

### setIgnoreConstructors

    public void setIgnoreConstructors(boolean aIgnoreConstructors)

  Sets whether to ignore constructors.

  Parameters:
    `aIgnoreConstructors` - whether to ignore constructors.

### setIgnoreMethods

    public void setIgnoreMethods(boolean aIgnoreMethods)

  Sets whether to ignore methods.

  Parameters:
    `aIgnoreMethods` - whether to ignore methods.

### setIgnoreModifiers

    public void setIgnoreModifiers(boolean aIgnoreModifiers)

  Sets whether to ignore modifiers.

  Parameters:
    `aIgnoreModifiers` - whether to ignore modifiers.

Copyright © 2001-2011. All Rights Reserved.